KDE/Gnome 4.7 post upgrade problem

Compiz, KDE, Gnome, Fluxbox, etc...

Moderator: Moderators

KDE/Gnome 4.7 post upgrade problem

Postby manifesto » Fri Aug 12, 2011 11:23

Hi,

I did a recent update of Sabayon and after update I cant run KDE properly.
On KDE startup I got a segfault on plasma-desktop :
Code: Select all
Application: Outil de gestion de fenêtres Plasma (kdeinit4), signal: Segmentation fault
[KCrash Handler]
#6  0x00007fe7330a3476 in QString::operator<(QString const&) const () from /usr/lib64/qt4/l
ibQtCore.so.4
#7  0x00007fe71396fe15 in ?? () from /usr/lib64/libplasma_groupingcontainment.so.4
#8  0x00007fe71397eee8 in ?? () from /usr/lib64/libplasma_groupingcontainment.so.4
#9  0x00007fe71398872d in ?? () from /usr/lib64/libplasma_groupingcontainment.so.4
#10 0x00007fe71398fbc6 in ?? () from /usr/lib64/libplasma_groupingcontainment.so.4
#11 0x00007fe713ba1aa8 in ?? () from /usr/lib64/kde4/plasma_containment_griddesktop.so
#12 0x0000000000000002 in ?? ()
#13 0x00007fff9c3b7b38 in ?? ()
#14 0x00007fe7139670c3 in _init () from /usr/lib64/libplasma_groupingcontainment.so.4
#15 0x00007fe713ba3c04 in ?? () from /usr/lib64/kde4/plasma_containment_griddesktop.so
#16 0x00007fe73433f9c9 in ?? () from /lib64/ld-linux-x86-64.so.2
#17 0x00007fe73433fb07 in ?? () from /lib64/ld-linux-x86-64.so.2
#18 0x00007fe734343eda in ?? () from /lib64/ld-linux-x86-64.so.2
#19 0x00007fe73433f836 in ?? () from /lib64/ld-linux-x86-64.so.2
#20 0x00007fe73434382a in ?? () from /lib64/ld-linux-x86-64.so.2
#21 0x00007fe72f8d8f26 in ?? () from /lib64/libdl.so.2
#22 0x00007fe73433f836 in ?? () from /lib64/ld-linux-x86-64.so.2
#23 0x00007fe72f8d94cc in ?? () from /lib64/libdl.so.2
#24 0x00007fe72f8d8fd1 in dlopen () from /lib64/libdl.so.2
#25 0x00007fe73313a6fb in ?? () from /usr/lib64/qt4/libQtCore.so.4
#26 0x00007fe7331359a5 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#27 0x00007fe7336a9930 in KPluginLoader::load() () from /usr/lib64/libkdecore.so.5
#28 0x00007fe7336a9c5a in KPluginLoader::pluginVersion() const () from /usr/lib64/libkdecor
e.so.5
#29 0x00007fe723f989e2 in Plasma::PluginLoader::loadApplet(QString const&, unsigned int, QL
ist<QVariant> const&) () from /usr/lib64/libplasma.so.3
#30 0x00007fe723f74ca3 in ?? () from /usr/lib64/libplasma.so.3
#31 0x00007fe723f77277 in ?? () from /usr/lib64/libplasma.so.3
#32 0x00007fe723f77c25 in Plasma::Corona::loadLayout(QString const&) () from /usr/lib64/lib
plasma.so.3
#33 0x00007fe723f77d03 in Plasma::Corona::initializeLayout(QString const&) () from /usr/lib
64/libplasma.so.3
#34 0x00007fe71ce76a82 in ?? () from /usr/lib64/libkdeinit4_plasma-desktop.so
#35 0x00007fe71ce76d87 in ?? () from /usr/lib64/libkdeinit4_plasma-desktop.so
#36 0x00007fe71ce785c2 in ?? () from /usr/lib64/libkdeinit4_plasma-desktop.so
#37 0x00007fe73315ddfa in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#38 0x00007fe7323124f6 in QApplication::event(QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#39 0x00007fe73230fe64 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /us
r/lib64/qt4/libQtGui.so.4
#40 0x00007fe732314a2a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/li
bQtGui.so.4
#41 0x00007fe733ef9e56 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkde
ui.so.5
#42 0x00007fe733149acc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/
lib64/qt4/libQtCore.so.4
#43 0x00007fe73314d2c5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadD
ata*) () from /usr/lib64/qt4/libQtCore.so.4
#44 0x00007fe7331749e3 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#45 0x00007fe72ebc51e3 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#46 0x00007fe72ebc59c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#47 0x00007fe72ebc5c5d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#48 0x00007fe733174b7f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEve
ntsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#49 0x00007fe7323b538e in ?? () from /usr/lib64/qt4/libQtGui.so.4
#50 0x00007fe733148e82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
() from /usr/lib64/qt4/libQtCore.so.4
#51 0x00007fe7331490cc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /
usr/lib64/qt4/libQtCore.so.4
#52 0x00007fe73314d57b in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#53 0x00007fe71ce5e01d in kdemain () from /usr/lib64/libkdeinit4_pltasma-desktop.so
#54 0x00000000004074f9 in _start ()


If I remove my .kde dir it looks like I can start it fine.
However rebuilding everything is quite cumbersome as I have a lot of setup.
Any hint on how to find out the root cause ?

Also I saw that gnome3 is out but it is not clear on how to install it.
It looks like I got some gnome 2 on my system but no upgrade to gnome3.

I am on vacation since a few weeks and didnt check regulary the forum.
Sorry if my topic have been already raised in the past.
manifesto
Growing Hen
 
Posts: 169
Joined: Mon Jul 19, 2010 22:21

Re: KDE/Gnome 4.7 post upgrade problem

Postby manifesto » Fri Aug 12, 2011 11:51

I reply to myself ...
KDE problem has been fixed after redoing a equo upgrade.
It installed kde-base/kdeplasma-addons-4.7.0-r1, it may be linked.

About gnome I look further and can see :
Code: Select all
sabayon usr # equo query installed gnome-deskto
>>  @@ Searching...
>>      @@ Package: gnome-base/gnome-desktop-2.32.1 branch: 5, [__system__]
>>         Installed:     version: 2.32.1 ~ tag: NoTag ~ revision: 1
>>         Slot:          2
>>         Homepage:      http://www.gnome.org/
>>         Description:   Libraries for the gnome desktop
>>                        that are not part of the UI
>>         License:       FDL-1.1 GPL-2 LGPL-2
>>      @@ Package: gnome-base/gnome-desktop-3.0.2-r1 branch: 5, [__system__]
>>         Installed:     version: 3.0.2-r1 ~ tag: NoTag ~ revision: 0
>>         Slot:          3
>>         Homepage:      http://www.gnome.org/
>>         Description:   Libraries for the gnome desktop
>>                        that are not part of the UI
>>         License:       FDL-1.1 GPL-2 LGPL-2
>>  Keyword:  gnome-deskto


I am using kdm and I cant find working options to run neither gnoem2/gnome3.

Thanks.
manifesto
Growing Hen
 
Posts: 169
Joined: Mon Jul 19, 2010 22:21

Re: KDE/Gnome 4.7 post upgrade problem

Postby albfneto » Mon Aug 15, 2011 0:08

Please mark as solved in the topic.
in my systems, GNOME3 installation broken GNOME2 completely....
i have both, but in separate partitions, separate Sabayon installations.
i use all graphical env, also, but one of my sabayon installations have KDE and GNOME2 e and the other XFCE and GNOME3.
I have in Mind that GNOME2 no longer exists in Sabayon.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1725
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil


Return to 3D Desktops and Window Managers

Who is online

Users browsing this forum: No registered users and 2 guests

cron